Std PerspektivKamera

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std PerspectiveCamera and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎한국어

Std PerspectiveCamera.svg Std PerspektivKamera

Menüeintrag
Ansicht → Perspektiv Ansicht
Arbeitsbereich
Alle
Standardtastenkürzel
V P
Eingeführt in Version
-
Siehe auch
Std OrthogonalKamera

Beschreibung

Der Befehl Std PerspectivKamera schaltet die Kamera in der aktiven 3D Ansicht in den perspektivischen Ansichtsmodus. In diesem Modus erscheinen Objekte, die weiter von der Kamera entfernt sind, kleiner als solche, die näher sind.

Std PerspectiveCamera example.svg

Zwei Würfel mit den gleichen Abmessungen in perspektivischer Ansicht

Anwendung

  1. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Wähle die Option Ansicht → Std PerspectiveCamera.svg Perspektiv Ansicht aus dem Menü.
    • Verwende das Tastaturkürzel: V dann P.

Hinweise

  • Es ist auch möglich, über das Miniwürfel Menü des Navigationswürfels in den perspektivischen Ansichtsmodus zu wechseln.

Einstellungen

  • Der Kameratyp kann in den Einstellungen geändert werden: Bearbeiten → Voreinstellungen... → Anzeige → 3D Ansicht → Kameratyp. Der gewählte Typ wird für alle 3D Ansichten aller geöffneten Dokumente und auch für neue Dokumente verwendet. Siehe Einstellungseditor.

Skripten

Siehe auch: FreeCAD Skripten Grundlagen.

Um die Ansicht auf perspektivisch zu ändern, verwende die Methode setCameraType des AktiveAnsicht Objekts. Diese Methode ist nicht verfügbar, wenn sich FreeCAD im Konsolenmodus befindet.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setCameraType('Perspective')
FreeCADGui.ActiveDocument.ActiveView.getCameraType()